# $Revision: 1.12 $, $Date: 2011/04/25 09:20:09 $
%define		_status		stable
%define		_pearname	HTML_TagCloud
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - generate a "tag cloud" in HTML
Summary(pl.UTF-8):	%{_pearname} - generowanie "chmury tagów" w HTML
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	1
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	38285f0c18a8b53995c38428778f3548
URL:		http://pear.php.net/package/HTML_TagCloud/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-date
Requires:	php-pear
Suggests:	php-pear-Image_Color
Obsoletes:	php-pear-HTML_TagCloud-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Image/Color.*)

%description
HTML_TagCloud enables you to generate a "tag cloud" in HTML.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
HTML_TagCloud pozwala na generowanie chmury tagów w HTML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/HTML_TagCloud/docs/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/TagCloud.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_TagCloud.spec,v $
Revision 1.12  2011/04/25 09:20:09  glen
- updated to: 1.0.0

Revision 1.11  2011/03/01 06:28:48  glen
- release 3

Revision 1.10  2011/01/23 01:03:13  sparky
- dropped -tests subpackage

Revision 1.9  2010/08/22 08:51:10  glen
- ensure rpmbuild macros present

Revision 1.8  2010/08/21 19:07:58  glen
- updated deps with pearize.sh
- release 2

Revision 1.7  2010/08/20 12:59:17  glen
- updated to: 0.2.4

Revision 1.6  2008/12/26 01:46:45  adamg
- updated to 0.2.3

Revision 1.5  2008-05-24 08:41:48  adamg
- release 2 (updated PEAR deps)

Revision 1.4  2008-05-23 19:50:49  adamg
- PEAR/PEAR-core packages are not directly required

Revision 1.3  2008-05-02 23:17:40  adamg
- updated to 0.2.2; tests subpkg

Revision 1.2  2008-01-31 12:16:07  glen
- rel 2

Revision 1.1  2007-11-26 20:18:53  adamg
- new
